Package: org.codehaus.groovy.runtime.callsite

## [Java] Class CallSiteGenerator

- org.codehaus.groovy.runtime.callsite.CallSiteGenerator

-     public class CallSiteGenerator
      extends Object

  Generates specialized call-site classes for the classic (non-indy) call-site cache.

  Prefer invokedynamic call sites for new code. Planned for deprecation/removal in a future Groovy version.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static Constructor` | `compilePogoMethod(CachedMethod cachedMethod)`
    `` | `public static Constructor` | `compilePojoMethod(CachedMethod cachedMethod)`
    `` | `public static Constructor` | `compileStaticMethod(CachedMethod cachedMethod)`
    `` | `public static void` | `genCallWithFixedParams(org.objectweb.asm.ClassWriter cw, String name, String superClass, CachedMethod cachedMethod, String receiverType)`
    `` | `public static void` | `genCallXxxWithArray(org.objectweb.asm.ClassWriter cw, String name, String superClass, CachedMethod cachedMethod, String receiverType)`
    `` | `public static byte[]` | `genPogoMetaMethodSite(CachedMethod cachedMethod, org.objectweb.asm.ClassWriter cw, String name)`
    `` | `public static byte[]` | `genPojoMetaMethodSite(CachedMethod cachedMethod, org.objectweb.asm.ClassWriter cw, String name)`
    `` | `public static byte[]` | `genStaticMetaMethodSite(CachedMethod cachedMethod, org.objectweb.asm.ClassWriter cw, String name)`
    `` | `public static boolean` | `isCompilable(CachedMethod method)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### public static Constructor compilePogoMethod(CachedMethod cachedMethod)

    - #### public static Constructor compilePojoMethod(CachedMethod cachedMethod)

    - #### public static Constructor compileStaticMethod(CachedMethod cachedMethod)

    - #### public static void genCallWithFixedParams(org.objectweb.asm.ClassWriter cw, String name, String superClass, CachedMethod cachedMethod, String receiverType)

    - #### public static void genCallXxxWithArray(org.objectweb.asm.ClassWriter cw, String name, String superClass, CachedMethod cachedMethod, String receiverType)

    - #### public static byte[] genPogoMetaMethodSite(CachedMethod cachedMethod, org.objectweb.asm.ClassWriter cw, String name)

    - #### public static byte[] genPojoMetaMethodSite(CachedMethod cachedMethod, org.objectweb.asm.ClassWriter cw, String name)

    - #### public static byte[] genStaticMetaMethodSite(CachedMethod cachedMethod, org.objectweb.asm.ClassWriter cw, String name)

    - #### public static boolean isCompilable(CachedMethod method)